Search tasks
curl --request GET \
--url https://api.byblend.com/api/v1/search/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/search/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/search/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"rank": 0.7,
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"assignee": {
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"first_name": "Rodrigo",
"last_name": "Davis",
"role": "admin"
},
"completed_at": "2025-02-01T20:10:43Z",
"created_at": "2025-01-01T00:00:00Z",
"created_by_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"assignee_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"name": "Confirm shelf-stability of recent batch",
"description": "Please find the most recent batch (April 2, 2025) of the topical rapamycin and confirm shelf-stability given the new expiration date of May 14, 2025.",
"category_code": "T01",
"category_name": "Order",
"status_code": "NEW",
"status_name": "New",
"order_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"patient_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"prescription_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"watchers": [
{
"id": "1326d1e5-ba9a-42b5-8fe2-38882aa65708",
"first_name": "Daphne",
"last_name": "Dafoe",
"role": "admin"
}
]
}
]
}Search
Search tasks
Search tasks by name, description, or a substring.
GET
/
api
/
v1
/
search
/
tasks
Search tasks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search query
Example:
"\"confirm shelf-stability\""
Optional limit on the number of results to return. Max is 100, default is 50.
Example:
10
Response
200 - application/json
Successful response with array of tasks
Show child attributes
Show child attributes
⌘I